Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!


Click here to return to the '10.3: Repair Java after an upgrade install of 10.3' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
10.3: Repair Java after an upgrade install of 10.3
Authored by: iraqi_pete on Nov 02, '03 10:46:32PM

I had this exact problem. It's because Panther doesn't install java if you have already upgraded to version 1.4.1. The easiest workaround is just an archive and install.

Having the hotspot compiler and interpreter miss-behaving means that you won't be able to launch java applications - like limewire. Applets should be fine.



[ Reply to This | # ]
10.3: Repair Java after an upgrade install of 10.3
Authored by: _Steffan on Nov 11, '03 10:27:27AM

Hi - I'm being a bit dense here, I did a Java 1.4.1 upgrade before installing 10.2.8 and am now running 10.3. Does the response below indicate that Java is working as required or not?

Cheers, Steffan

Last login: Tue Nov 11 14:08:49 on console
Welcome to Darwin!
[Vigor10:~] username% java -version
HotSpot not at correct virtual address. Sharing disabled.
java version "1.4.1_01"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.1_01-69.1)
Java HotSpot(TM) Client VM (build 1.4.1_01-24, mixed mode)
[Vigor10:~] username%



[ Reply to This | # ]